Рекомендация Debian по безопасности

DSA-3240-1 curl -- обновление безопасности

Дата сообщения:
29.04.2015
Затронутые пакеты:
curl
Уязвим:
Да
Ссылки на базы данных по безопасности:
В каталоге Mitre CVE: CVE-2015-3153.
Более подробная информация:

Было обнаружено, что cURL, библиотека передачи URL, в случае её настройки на использование прокси-сервера по протоколу HTTPS, отправляет по умолчанию на этот прокси те же заголовки HTTP, которые она отправляет удалённому серверу, что может приводить к раскрытию чувствительной информации.

В стабильном выпуске (jessie) эта проблема была исправлена в версии 7.38.0-4+deb8u2.

В тестируемом выпуске (stretch) эта проблема будет исправлена в версии 7.42.1-1.

В нестабильном выпуске (sid) эта проблема была исправлена в версии 7.42.1-1.

Рекомендуется обновить пакеты curl.